GET Candidate's AI Interview Report¶
This API retrieves the AI Interview report of the candidate.
Request URL¶
GET /ai-interviews/report/<response_id>
or
GET /ai-interviews/report?custom_field_id=<custom_field_id>
Warning
Make sure to add your API key in Header of the request
Path Parameters¶
Parameter |
Type |
Description |
|---|---|---|
response_id (optional) |
integer |
Response ID of the candidate for the AI Interview
Required if |
Query Parameters¶
Parameter |
Type |
Description |
|---|---|---|
custom_field_id (optional) |
string |
The custom identifier set during invite creation. Use this instead of Example: |
is_downloadable (optional) |
boolean |
If true, includes downloadable URLs for the interview session recordings (if available). Example: |
Response¶
A JSON response containing information about the candidate's AI Interview report, given that the interview is completed.
{
"ai_interview_id": "integer",
"ai_interview_name": "string",
"candidate_email": "string",
"candidate_id": "integer",
"candidate_name": "string",
"candidate_summary": "string",
"completed_date": "string",
"integrity_score": "float",
"invite_status": "string",
"pdf_link": "string",
"recommendation": "string",
"response_id": "integer",
"custom_field_id": "string",
"score": "integer",
"report_link": "string",
"interview_recording": {
"session1": "string",
"session2": "string"
},
"skill_wise_scores": {
"must_haves": [
{
"score": "integer",
"skill_name": "string"
}
],
"nice_to_haves": [
{
"score": "integer",
"skill_name": "string"
}
]
},
"conversation": [
{
"content": "string",
"mode": "string",
"role": "string",
"timestamp": "integer"
}
]
}
Note
candidate_summaryis an auto-generated summary that evaluates the candidate's performance based on AI scoring.recommendationindicates whether the candidate is recommended for the role based on skill alignment and scoring.integrity_scoreis measured on a scale of 0 - 10.skill_wise_scoresare grouped under must_haves and nice_to_haves, based on the AI Interview Plan configuration.interview_recordingis a dictionary containing the URLs of the interview recordings for each session. Session is a string like1755695988585which is the timestamp of the session.conversationis an array of message objects representing the interview dialogue. Each message contains:content: The message text.mode: Either "code" or "default".role: "user" for candidate, "assistant" for interviewer.timestamp: Unix timestamp in milliseconds.
A JSON response when the candidate has not completed the AI Interview.
{
"ai_interview_id": "integer",
"ai_interview_name": "string",
"candidate_email": "string",
"candidate_id": "integer",
"candidate_name": "string",
"invite_status": "string",
"response_id": "integer",
"custom_field_id": "string"
}
Note
The value for
invite_statuswill bePendingif the candidate has not yet started the AI Interview.custom_field_idis only included in the response if it was set during invite creation and the report is fetched usingcustom_field_id.